Update network by code - Fabric

Update network by code

cURL

curl --request PUT \
  --url https://api.fabric.inc/v3/inventory-networks/{networkCode} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "name": "Distribution Center",
  "rule": {
    "locationData.attributes.safetyStock": 10,
    "locationData.isActive": true,
    "locationData.type": "Store",
    "productData.attributes.brand": "ABC",
    "productData.attributes.isSoldOnline": true
  },
  "description": "network-mar6th",
  "lowStock": 10,
  "networkId": "5349b4ddd2781d08c09890f4",
  "safetyStock": 10
}
'

Python

import requests

url = "https://api.fabric.inc/v3/inventory-networks/{networkCode}"

payload = {
    "name": "Distribution Center",
    "rule": {
        "locationData.attributes.safetyStock": 10,
        "locationData.isActive": True,
        "locationData.type": "Store",
        "productData.attributes.brand": "ABC",
        "productData.attributes.isSoldOnline": True
    },
    "description": "network-mar6th",
    "lowStock": 10,
    "networkId": "5349b4ddd2781d08c09890f4",
    "safetyStock": 10
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PUT',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: 'Distribution Center',
    rule: {
      'locationData.attributes.safetyStock': 10,
      'locationData.isActive': true,
      'locationData.type': 'Store',
      'productData.attributes.brand': 'ABC',
      'productData.attributes.isSoldOnline': true
    },
    description: 'network-mar6th',
    lowStock: 10,
    networkId: '5349b4ddd2781d08c09890f4',
    safetyStock: 10
  })
};

fetch('https://api.fabric.inc/v3/inventory-networks/{networkCode}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response

200 OK

{
  "code": "DC",
  "name": "Distribution Center",
  "rule": {
    "locationData.attributes.safetyStock": 10,
    "locationData.isActive": true,
    "locationData.type": "Store",
    "productData.attributes.brand": "ABC",
    "productData.attributes.isSoldOnline": true
  },
  "createdAt": "2022-08-01T18:03:28.483Z",
  "description": "network-mar6th",
  "lowStock": 10,
  "networkId": "5349b4ddd2781d08c09890f4",
  "safetyStock": 10,
  "updatedAt": "2022-08-01T18:03:28.483Z"
}

Error Responses

400 Bad Request
{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
401 Unauthorized
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
500 Internal Server Error
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}